<?xml version='1.0' encoding='UTF-8'?>
<!-- Convert a bunch of blog/entry's from a .bx file to a .px file. -->
<!-- This produces the blog archive page. -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:include href='blog.xslt'/>
	<xsl:include href='tools.xslt'/>
	
	<xsl:key name='blog-month' match='blog/entry' use='substring(@when,1,6)' />
		
	<xsl:template match='/'>
		<!-- The page structure. -->
		<page title='Blog Archive'>
			<pagemenu file='blogroll.hx'/>

			<!-- For each first entry of the month. -->
			<xsl:for-each select='//blog/entry[count(. | key("blog-month", substring(@when,1,6))[1]) = 1]' >
				<xsl:sort select='@when' order='descending'/>

				<h1>
					<a class='s' href='blog/{substring(@when,1,6)}.html'>
						<xsl:call-template name='long_date_month_year'>
							<xsl:with-param name='date'>
								<xsl:value-of select='substring(@when,1,8)'/>
							</xsl:with-param>
						</xsl:call-template>
					</a>
				</h1>

				<!-- For each entry in this month. -->
				<xsl:for-each select='key("blog-month", substring(@when,1,6))'>
					<xsl:sort select='@when' order='descending'/>
	
					<!--
					<xsl:if test='position() &gt; 1'>
						<nbsp/><nbsp/><middot/><nbsp/><space/>
					</xsl:if>
					-->
					
					<xsl:if test='position() &gt; 1'>
						<br/>
					</xsl:if>
					
					<xsl:call-template name='dayname_in_month'>
						<xsl:with-param name='date'>
							<xsl:value-of select='substring(@when,1,8)'/>
						</xsl:with-param>
					</xsl:call-template>
					
					<!--
					<xsl:choose>
						<xsl:when test='substring(@when,7,2) &lt; 10'>
							<nbsp/><xsl:value-of select='substring(@when,8,1)'/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select='substring(@when,7,2)'/>
						</xsl:otherwise>
					</xsl:choose>
					-->
					
					<xsl:text>: </xsl:text>
					
					<a class='s' href='blog/{substring(@when,1,6)}.html#e{@when}'>
						<xsl:copy-of select='title/text()'/>
					</a>

				</xsl:for-each>
			
			</xsl:for-each>

		</page>
		
	</xsl:template>

</xsl:stylesheet>
