<?xml version='1.0' encoding='UTF-8'?>
<!--
	Convert a bunch of entry's from the blogfeed.xml file to an atom.xml file.
-->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

	xmlns="http://purl.org/atom/ns#"
	xmlns:dc="http://purl.org/dc/elements/1.1/"

	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:output method='xml' indent='yes' />

	<xsl:param name='base' />
	<xsl:param name='sitename' />

	<xsl:include href='blog.xslt'/>
	<xsl:include href='tools.xslt'/>

	<xsl:template match='/feedentries'>

		<!-- Link to the stylesheet for people who wander in. - ->
		<xsl:processing-instruction name='xml-stylesheet'>
			type="text/xsl"
			href="<xsl:value-of select='$base'/>atom2html.xslt"
			media="screen"
		</xsl:processing-instruction>
		-->

		<feed version='0.3'>
			<title>Ned Batchelder's blog</title>
			<link rel='alternate' type='text/html' href='{$base}blog'/>
			<tagline>Ned Batchelder's personal blog.</tagline>
			<modified>
				<xsl:value-of select='xuff:w3cdtf(xuff:now())' />
			</modified>
			<author><name>Ned Batchelder</name></author>

			<xsl:for-each select='entry'>
				<xsl:variable name='date'>
					<xsl:value-of select='xuff:w3cdtf(string(@when))' />
				</xsl:variable>

				<entry>
					<title><xsl:value-of select='title'/></title>
					<link rel='alternate' type='text/html' href='{@what}'/>
					<id><xsl:value-of select='@what'/></id>
					<issued><xsl:value-of select='$date'/></issued>
					<modified><xsl:value-of select='$date'/></modified>

					<xsl:for-each select='category'>
						<dc:subject>
							<xsl:value-of select='text()' />
						</dc:subject>
					</xsl:for-each>

					<content type='text/html' mode='escaped' xml:base='{$base}'>
						<xsl:text disable-output-escaping='yes'>&lt;![CDATA[</xsl:text>
						<xsl:apply-templates select='body/*'/>
						<xsl:text disable-output-escaping='yes'>]]&gt;</xsl:text>
					</content>
				</entry>
			</xsl:for-each>

		</feed>

	</xsl:template>

</xsl:stylesheet>
