<?xml version='1.0' encoding='UTF-8'?>
<!-- Convert a bunch of blog/entry's from a .bx file to a .px file. -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:param name='base' />

	<xsl:include href='blog.xslt'/>
	<xsl:include href='tools.xslt'/>

	<xsl:template match='/blog'>
		<page title='{@title}' order='{@order}' sitemap='no'>
			<pagemenu file='blogroll.hx' phpinc='blogroll.inc'/>

			<php>
				require_once('inc/reactor_class.php');
				$ror = new Reactor();
				$ror->PrepareManyComments();
			</php>

			<!-- Page links. -->
			<xsl:for-each select='navigation'>
				<pagelink rel='{@rel}' href='{@href}' title='{text()}'/>
			</xsl:for-each>

			<!-- The RSS feeds for this page. -->
			<pagelink
				rel='alternate'
				type='application/rss+xml'
				href='{$base}blog/rss.xml'
				title='RSS feed for Ned&apos;s blog (excerpts)' />
			<pagelink
				rel='alternate'
				type='application/rss+xml'
				href='{$base}blog/rssfull.xml'
				title='RSS feed for Ned&apos;s blog (full text)' />
			<pagelink
				rel='alternate'
				type='application/atom+xml'
				href='blog/atom.xml'
				title='Atom feed for Ned&apos;s blog (full text)' />

			<!-- Contents link: the archive for the year.
			<pagelink
				rel='contents'
				href='{$base}blog/archive{substring(.//entry[0]/@when,1,4)}.html'
				title='Blog Archive: {substring(.//entry[0]/@when,1,4)}' />
Doesn't work.
-->

			<!-- Visible navigation at the top of the page. -->
			<xsl:if test='navigation[@rel="next" or @rel="prev"]'>
				<p class='pmn pmntop'>
					<xsl:call-template name='next-prev'/>
				</p>
			</xsl:if>

			<!-- A paragraph in the flow is a first explanation thingy.
					 Put it here. This is a bad coupling (what if in the future
					 I want paragraphs sprinkled throughout the entries?) but
					 for now it will work.  -->
			<xsl:apply-templates select='p'/>

			<!-- The body of the page: all the entries for the month. -->
			<xsl:for-each select='entry[string(@draft)=""]'>
				<xsl:sort select='@when' order='descending'/>
				<xsl:apply-templates select='.'/>
			</xsl:for-each>

			<!-- Visible navigation at the bottom of the page. -->
			<xsl:if test='navigation[@rel="next" or @rel="prev"]'>
				<p class='pmn pmnbot'>
					<xsl:call-template name='next-prev'/>
				</p>
			</xsl:if>

		</page>
	</xsl:template>

	<xsl:template name='next-prev'>
		<span class='p'>
			<xsl:for-each select='navigation[@rel="prev"]'>
				<a class='s' href='{@href}' title='previous month' rel='prev'>
					<ltlt/><xsl:text> </xsl:text><xsl:value-of select='.'/>
				</a>
			</xsl:for-each>
		</span>
		<span class='dn'> | </span>
		<span class='m'>
			<a class='s' href='blog/index.html' title='main blog' rel='top'><gtgt/> Main <ltlt/></a>
		</span>
		<span class='dn'> | </span>
		<span class='n'>
			<xsl:for-each select='navigation[@rel="next"]'>
				<a class='s' href='{@href}' title='next month' rel='next'>
					<xsl:value-of select='.'/><xsl:text> </xsl:text><gtgt/>
				</a>
			</xsl:for-each>
		</span>
	</xsl:template>

</xsl:stylesheet>
