<?xml version='1.0' encoding='UTF-8'?>
<!-- Convert a longer blog/entry from a .bx file to a .px file. -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:param name='base' />
	<xsl:param name='sitename' />

	<xsl:include href='blog.xslt'/>
	<xsl:include href='tools.xslt'/>

	<xsl:template match='/blog'>
		<page title='{@title}' order='{@order}' sitemap='no'>
			<pagemenu file='blogroll.hx' phpinc='blogroll.inc'/>

			<php>
				require_once('inc/reactor_class.php');
				$ror = new Reactor();
			</php>

			<xsl:for-each select='.//entry[string(@draft)=""]'>
				<xsl:sort select='@when' order='descending'/>
				<xsl:apply-templates select='.'>
					<xsl:with-param name='blogmode' select='"full"' />
				</xsl:apply-templates>

				<!-- Include a link at the bottom back to the main flow of the blog. -->
				<p>
					<a class='s'
							href='{concat("blog/", substring(@when,1,6), ".html#e", @when)}'><ltlt/> Back to blog</a>
				</p>

				<xsl:choose>
					<xsl:when test='@googleadchannel'>
						<googleads channel='{@googleadchannel}'/>
					</xsl:when>
					<xsl:otherwise>
						<googleads channel='blogmore'/>
					</xsl:otherwise>
				</xsl:choose>

			</xsl:for-each>

		</page>
	</xsl:template>

</xsl:stylesheet>
