<?xml version='1.0' encoding='UTF-8'?>
<!-- Make blogroll.hx from all-links.xml -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:include href='tools.xslt'/>

	<xsl:variable name='cats' select='document("categories.xml")/categories/category' />

	<xsl:template match='/'>
		<div class='blogroll'>

			<ul class='first'>
				<li class='first'><a href='site/aboutned.html'>About me</a></li>

				<li>Commerce:
					<ul class='compact'>
						<li><gtgt/><nbsp/><a href='http://www.cafepress.com/nedbatchelder'>Mug &amp; T-Shirt</a></li>
						<li><gtgt/><nbsp/><a href='http://www.amazon.com/exec/obidos/redirect-home/nedbatchelder-20'>Amazon</a></li>

						<li><gtgt/><nbsp/>
							<a href='http://susansenator.com/makingpeace.html'>
								<i>Making Peace</i><br/>
								<img src='pix/makingpeacetiny.png' alt='Making Peace With Autism' width='93' height='137'/>
							</a>
						</li>

					</ul>
				</li>

				<li><a href='blog/categories.html'>Categories</a>:
					<ul class='compact'>
						<xsl:for-each select='$cats[@sidebar="y"]'>
							<xsl:sort select='name' />
							<li>
								<gtgt/><nbsp/>
								<a href='blog/cat_{@id}.html'>
									<xsl:value-of select='name' />
								</a>
							</li>
						</xsl:for-each>

						<li>
							<gtgt/><nbsp/>
							<a href='blog/categories.html'>
								<xsl:text>and </xsl:text>
								<xsl:value-of select='count($cats[string(@sidebar)=""])' />
								<xsl:text> more...</xsl:text>
							</a>
						</li>
					</ul>
				</li>

				<li><a href='blog/archiveall.html'>Archives</a>:
					<ul class='compact'>
					<li><gtgt/><nbsp/><a href='blog/archive2005.html'>2005</a></li>
					<li><gtgt/><nbsp/><a href='blog/archive2004.html'>2004</a></li>
					<li><gtgt/><nbsp/><a href='blog/archive2003.html'>2003</a></li>
					<li><gtgt/><nbsp/><a href='blog/archive2002.html'>2002</a></li>
					</ul>
				</li>

				<li><a href='site/search.html'><font color='#00f'>S</font><font color='#f00'>e</font><font color='#990'>a</font><font color='#00f'>r</font><font color='#080'>c</font><font color='#f00'>h</font>
						this site...</a></li>

				<li>You might like:
					<ul>
						<xsl:for-each select='//link[category/text()="Blogs"]'>
							<xsl:sort select='@order' />
							<xsl:apply-templates select='.'/>
						</xsl:for-each>
					</ul>
				</li>


				<li><a href='site/whatisablog.html'>What's a "blog"?</a></li>

				<li><a
						href='blog/rss.xml'
						type='application/rss+xml'
						style='
							padding: 0 .4em;
							background: #F60;
							color: white;
							border: 1px solid;
							border-color: #FC9 #630 #330 #F96;
							font-weight: bold;
							text-decoration: none;
							'
						>RSS</a>
					(<a href='site/whatisrss.html'>huh?</a>)</li>

				<li><a href='mailto:ned@nedbatchelder.com'>Email me!</a></li>

			</ul>
		</div>
	</xsl:template>

	<xsl:template match='link'>
		<li><a href='{@href}'><xsl:value-of select='title/text()'/></a></li>
	</xsl:template>

</xsl:stylesheet>
