<?xml version='1.0' encoding='UTF-8'?>
<!-- Make the longer single-entry blog pages -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:include href='datetools.xslt' />
	<xsl:include href='tools.xslt' />
	<xsl:output method='xml' indent='yes' />

	<xsl:key name='blog-month' match='blog/entry[string(@draft)=""]' use='substring(@when,1,6)' />

	<xsl:template match='/'>
		<directory name='blog'>
			<xsl:for-each select='//blog/entry[body/more]' >

				<file name='{@when}.bx'>
					<blog>

						<xsl:attribute name='title'>
							<!-- Use the entry's title as the page title. -->
							<xsl:value-of select='title/text()'/>
							<!-- We used to use the date as the title.
							<xsl:call-template name='long_date'>
								<xsl:with-param name='date'>
									<xsl:value-of select='substring(@when,1,8)'/>
								</xsl:with-param>
							</xsl:call-template>
							-->
						</xsl:attribute>

						<!-- Put in the entry. -->
						<xsl:copy-of select='.'/>

					</blog>
				</file>
			</xsl:for-each>
		</directory>
	</xsl:template>

</xsl:stylesheet>
