<?xml version='1.0' encoding='UTF-8'?>
<!-- Canonicalize the categories on links. -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:key name='link-category' match='link' use='category | ancestor::category/@name' />

	<xsl:include href='tools.xslt'/>
	
	<xsl:template match='link'>
		<link>
			<!-- Copy all the attributes. -->
			<xsl:copy-of select='@*'/>
			
			<!-- Make an @order attribute (with the sorting string). -->
			<xsl:attribute name='order'>
				<xsl:variable name='lowertitle' select='translate(title, "ABCDEFGHIJKLMNOPQRSTUVWXYZ", "abcdefghijklmnopqrstuvwxyz")'/>
				<xsl:choose>
					<xsl:when test='starts-with($lowertitle, "the ")'>
						<xsl:value-of select='substring-after($lowertitle, "the ")' />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select='$lowertitle' />
					</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			
			<!-- Copy the contents. -->
			<xsl:copy-of select='*|text()'/>
			
			<!-- Copy any parent category names. -->
			<xsl:for-each select='ancestor::category/@name'>
				<category><xsl:value-of select='.'/></category>
			</xsl:for-each>
			
		</link>
	</xsl:template>

	<xsl:template match='*'>
		<xsl:copy>
			<xsl:copy-of select='@*' />
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>
