<?xml version='1.0' encoding='UTF-8'?>
<!--
	Convert all the blog entries into just the entries that should go into the feeds.
-->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:output method='xml' indent='no' />

	<xsl:param name='base' />
	<xsl:param name='sitename' />

	<xsl:include href='blog.xslt'/>
	<xsl:include href='tools.xslt'/>

	<xsl:template match='/'>

		<feedentries>

			<xsl:for-each select='//blog/entry[string(@draft)=""]'>
				<!-- Do all the blog entries, in descending order. -->
				<xsl:sort select='@when' order='descending'/>

				<!-- The first 15 entries get in the list. -->
				<xsl:if test='position() &lt; 16'>

					<entry>
						<xsl:attribute name='what'>
							<xsl:value-of select='concat($base,"blog/",substring(@when,1,6),".html#e",@when)'/>
						</xsl:attribute>
						<xsl:copy-of select='@*|*'/>
					</entry>

				</xsl:if>
			</xsl:for-each>

		</feedentries>

	</xsl:template>

</xsl:stylesheet>
