<?xml version='1.0' encoding='UTF-8'?>
<!-- Style the main page -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

<xsl:param name='path' select='"index.px"'/>
<xsl:param name='base' />
<xsl:param name='sitename' />
<xsl:param name='nophp' />

<xsl:include href='tools.xslt' />
<xsl:include href='outputtools.xslt' />

<xsl:variable name='pagemenus' select='document("temp/pagemenus.xml")/pages' />
<xsl:variable name='pagemenu' select='$pagemenus/page[@path=$path]' />

<xsl:template match='page'>

	<!-- HEAD -->

	<head>
	<xsl:copy-of select='meta'/>
	<title><xsl:value-of select='@title'/></title>
	<link rel='StyleSheet' href='style.css' type='text/css'/>
	<script type='text/javascript' src='main.js'/>
	</head>

	<!-- BODY -->
	
	<body bgcolor='white'>
		<table width='100%' cellpadding='0' cellspacing='20'>
		<tr>
			<td id='logo' width='160px'>
				<img src='dodeca3_160.gif' width='160' height='160' alt='[*]' />
			</td>
			<td id='banner'>
				<span class='mainslug'>&#160;&#160;&#160;<xsl:value-of select='@title'/></span>
			</td>
		</tr>
		<tr>
			<td id='menu' valign='top' align='right'>
				<div class='sidebar'>
					<xsl:if test='$pagemenu/a'>
						<xsl:for-each select='$pagemenu/a'>
							<p><xsl:copy-of select='.'/></p>
						</xsl:for-each>
					</xsl:if>
				</div>	
			</td>
			<td id='content' valign='top'>
				<div class='body'><xsl:apply-templates /></div>
			</td>
		</tr>
	</table>
	</body>
</xsl:template>

</xsl:stylesheet>
