<?xml version='1.0' encoding='UTF-8'?>

<!-- Tools for working with our page structure -->

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

<xsl:include href='html_output.xslt' />

<!--
  - Root page structure: PHP wrapping, DOCTYPE declaration, etc.
  -->
<xsl:template match='/'>

	<!-- PHP: buffer output (because we set cookies later). -->
	<xsl:call-template name='php'>
		<xsl:with-param name='code'>
			ob_start();
		</xsl:with-param>
	</xsl:call-template>

	<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"&gt;&#xA;</xsl:text>

	<html>
		<!-- The lang attribute is gathered from the page, or "en". -->
		<xsl:attribute name='lang'>
			<xsl:choose>
				<xsl:when test='page/@lang'>
					<xsl:value-of select='page/@lang' />
				</xsl:when>
				<xsl:otherwise>en</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>

		<!-- Render the page. -->
		<xsl:apply-templates select='page'/>
	</html>

</xsl:template>

</xsl:stylesheet>
