<?xml version='1.0' encoding='UTF-8'?>

<!-- Tools for working with our page structure -->

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

<!--
  - Generate an id for a <page> element.
  -->
<xsl:template match='page' mode='make_id'>
	<xsl:for-each select='ancestor::directory|ancestor::file'>
		<xsl:text>_</xsl:text>
		<xsl:value-of select='@name'/>
	</xsl:for-each>
</xsl:template>

<!--
  - Determine the short title of a directory.
  - We look for a <section> tag in the index.xml page.
  -->
<xsl:template match='directory' mode='get_short_title'>
	<xsl:value-of select='file/page/section/@title'/>
</xsl:template>
 
<!--
  - Determine the URL of a directory.
  -->
<xsl:template match='directory' mode='get_url'>
	<xsl:variable name='url' select='file[page/section]/@path'/>
	<xsl:variable name='url2'>
		<xsl:choose>
		<xsl:when test='contains($url, ".px")'>
			<xsl:value-of select='concat(substring-before($url, ".px"), ".html")'/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select='$url'/>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name='url3'>
		<xsl:choose>
		<xsl:when test='starts-with($url2, "content\")'>
			<xsl:value-of select='substring-after($url2, "content\")'/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select='$url2'/>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:value-of select='$url3'/>
</xsl:template> 

</xsl:stylesheet>
