<?xml version='1.0' encoding='UTF-8'?>
<!-- Compute the total sitemap from the structure.xml file -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:output method='xml' indent='yes' />

	<xsl:template match='/site'>
		<ul>
		<xsl:apply-templates select='section|page'/>
		</ul>
	</xsl:template>

	<xsl:template match='section'>
		<li>
			<a href='{substring-before(@path,".")}.html'>
				<xsl:value-of select='@title'/>
			</a>
			<ul>
				<xsl:apply-templates select='section|page'/>
			</ul>
		</li>
	</xsl:template>

	<xsl:template match='page'>
		<li>
			<a href='{substring-before(@path,".")}.html'>
				<xsl:value-of select='@title'/>
			</a>
		</li>
	</xsl:template>

	<!-- <page sitemap='no'> shouldn't go in the sitemap. -->
	<xsl:template match='page[@sitemap="no"]'/>
	<xsl:template match='section[@sitemap="no"]'/>

</xsl:stylesheet>
