<?xml version='1.0' encoding='UTF-8'?>
<!-- Compute the structure of the site from the all-pages.xml file -->
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0"

	xmlns:xuff='http://www.stellated.com/xuff'
	exclude-result-prefixes='xuff'
	>

	<xsl:output	method='xml' indent='yes' />

	<xsl:template match='/'>
		<site>
			<!-- There should only be one tree/directory element, for '.' -->
			<xsl:apply-templates select='tree/directory'/>
		</site>
	</xsl:template>

	<xsl:template match='directory'>
		<section path='{file[page/section]/@path}'>
			<!-- Copy all the <section> attributes. -->
			<xsl:copy-of select='file/page/section/@*' />

			<xsl:for-each select='file[not(page/section)]|directory'>
				<!-- Sort by the @order attribute, and use 500 if it is missing -->
				<!-- I got this concat(substring(res, 1 div cond), ...) expression from
					http://www.dpawson.co.uk/xsl/sect2/N6461.html#d195e628
					Holy cow! -->
				<xsl:sort data-type='number' select='
					concat(
						substring(
							page/@order|file/page/section/@order,
							1 div boolean(page/@order|file/page/section/@order)),
						substring(
							"500",
							1 div not(boolean(page/@order|file/page/section/@order))))'
					/>
				<!-- Sort by name if the first criterion is a tie. -->
				<xsl:sort select='page/@title|file/page/section/@title' />
				<xsl:apply-templates select='.' />
			</xsl:for-each>
		</section>
	</xsl:template>

	<xsl:template match='file[page]'>
		<page path='{@path}'>
			<xsl:copy-of select='page/@*' />
		</page>
	</xsl:template>

</xsl:stylesheet>
