// From http://ftrain.com/js/util.js

/* Javascript Utilities for the Ftrain Sitekit. */

/* "The reader's freedom is a holy thing." --William Gass, Finding a
 * Form. Various friendly utilities to provide the reader with a
 * better experience. The cookie functions appear around the Web and
 * are provenance unknown.
 * 
 * With help from: Jakob Borg.
*/

function setdisplay() {
    foundspans=0;
    notes=document.getElementById('footnote');
    /* Set the footnotes according to the footnote cookie. */
    ffootnote=GetCookie("footnote");

    var spans=document.getElementsByTagName("span");
    for (var i=0;i<spans.length;i++){
	var span=spans[i];
	if (span.className=="footnote") {
	    foundspans=1;
	}
	if (foundspans==1) break;
    }

    if (foundspans!=1) {
	notes.style.display='none';
    }
    else {
	notes.style.display='inline';
	if (ffootnote=='show') bevelnotesbutton('on') ;
	else if (ffootnote=='hide') bevelnotesbutton('off') ;
    }
    
    AnchorHiLiter();
    googleSearchHighlight();
}


function showfootnote() {
    var notescookie=GetCookie("footnote");
    var expdate = new Date();
    expdate.setTime(expdate.getTime() + (24 * 60 * 60 * 1000 * 31 * 9));
    if (notescookie=='show') {
	bevelnotesbutton('off');
	showhidenotes('hide');
	SetCookie("footnote","hide",expdate);
    }
    else {
	bevelnotesbutton('on');
	showhidenotes('show');
	SetCookie("footnote","show",expdate);
    }
    return null;
}

function bevelnotesbutton(onoff) {
    if (onoff=='off') {
	notes.style.borderLeftColor='#fff';
	notes.style.borderBottomColor='#fff';
	notes.style.background='#fff';
	showhidenotes('hide');
    }
    else {
	notes.style.borderLeftColor='#222';
	notes.style.borderBottomColor='#aaa';
	notes.style.background='#ccd';
	showhidenotes('show');
    }
}
function showhidenotes(showhide) {
    var spans=document.getElementsByTagName("span");
    for (var i=0;i<spans.length;i++){
	var span=spans[i];
	if (span.className=="footnote") {
	    if (showhide=='show') span.style.display = "inline" ;
	    if (showhide=='hide') span.style.display = 'none' ;
	}
    }
}

function getCookieVal (offset) {
    var endstr = document.cookie.indexOf (";", offset); //; signifies end of value
    if (endstr == -1)
	endstr = document.cookie.length; //if -1 then take it to the end
    return unescape(document.cookie.substring(offset, endstr)); //convert to readable text
}

function GetCookie (name) {
    var arg = name + "=";
    var alen = arg.length;
    var clen = document.cookie.length;
    var i = 0;
    while (i < clen) {
	var j = i + alen;
	if (document.cookie.substring(i, j) == arg)
	    return getCookieVal(j);
	i = document.cookie.indexOf(" ", i) + 1;
	if (i == 0) break; }
    return null; 
}

function SetCookie (name, value) {
    var argv = SetCookie.arguments;
    var argc = SetCookie.arguments.length;
    var expires = (argc > 2) ? argv[2] : null;
    var path = (argc > 3) ? argv[3] : null;
    var domain = (argc > 4) ? argv[4] : null;
    var secure = (argc > 5) ? argv[5] : false;
    document.cookie = name + "=" + escape (value) +
	((expires == null) ? "" : ("; expires=" + expires.toGMTString())) +
	((path == null) ? "" : ("; path=" + path)) +
	((domain == null) ? "" : ("; domain=" + domain)) +
	((secure == true) ? "; secure" : ""); 
}

function AnchorHiLiter() {
    var anchor=location.hash;
    if (anchor && anchor!='#page-top') {
	re=RegExp('#','');
	posthash=anchor.replace(re,'');
	var spans=document.getElementsByTagName("span");
	for (var i=0;i<spans.length;i++){
	    var span=spans[i];
	    if (span.className==posthash) {
		span.style.background = '#ff8';
		var a = document.createElement("a");
		a.setAttribute("href","#page-top");
		a.setAttribute("class","toplink");
		a.appendChild(document.createTextNode("[Top]"));
		span.appendChild(a);
		break;
	    }
	}
    }
}




/* http://www.kryogenix.org/code/browser/searchhi/ */
/* Modified 20021006 to fix query string parsing and add case insensitivity */
function highlightWord(node,word) {
	// Iterate into this nodes childNodes
	if (node.hasChildNodes) {
		var hi_cn;
		for (hi_cn=0;hi_cn<node.childNodes.length;hi_cn++) {
			highlightWord(node.childNodes[hi_cn],word);
		}
	}
	
	// And do this node itself
	if (node.nodeType == 3) { // text node
		tempNodeVal = node.nodeValue.toLowerCase();
		tempWordVal = word.toLowerCase();
		if (tempNodeVal.indexOf(tempWordVal) != -1) {
			pn = node.parentNode;
			if (pn.className != "searchword") {
				// word has not already been highlighted!
				nv = node.nodeValue;
				ni = tempNodeVal.indexOf(tempWordVal);
				// Create a load of replacement nodes
				before = document.createTextNode(nv.substr(0,ni));
				docWordVal = nv.substr(ni,word.length);
				after = document.createTextNode(nv.substr(ni+word.length));
				hiwordtext = document.createTextNode(docWordVal);
				hiword = document.createElement("span");
				hiword.className = "searchword";
				hiword.appendChild(hiwordtext);
				pn.insertBefore(before,node);
				pn.insertBefore(hiword,node);
				pn.insertBefore(after,node);
				pn.removeChild(node);
			}
		}
	}
}

function googleSearchHighlight() {
	if (!document.createElement) return;
	ref = document.referrer;
	if (ref.indexOf('?') == -1) return;
	qs = ref.substr(ref.indexOf('?')+1);
	qsa = qs.split('&');
	for (i=0;i<qsa.length;i++) {
		qsip = qsa[i].split('=');
	        if (qsip.length == 1) continue;
        	if (qsip[0] == 'query' || qsip[0] == 'q' || qsip[0] == 'p') { 
		/* query= for local search, q= for Google, p= for Yahoo */
		    words = unescape(qsip[1].replace(/\+/g,' ')).split(/\s+/);
		    for (w=0;w<words.length;w++) {
			highlightWord(document.getElementsByTagName("body")[0],words[w]);
		    }
	        }
	}
}
